Skip to main content
PATCH
Update Cell
Update a text-column cell with display_value, value, or both. Only text-column cells can be edited directly. Updating a cell marks dependent cells stale and updates the sheet version. The response returns the updated cell, the new sheet version, and stale_count, which is the number of dependent cells marked stale by the update.

Authorizations

X-API-KEY
string
header
required

Path Parameters

table_id
string<uuid>
required
sheet_id
string<uuid>
required
cell_id
string<uuid>
required

Body

application/json
display_value
string | null

Human-readable display value.

value
any

Structured value to store.

Response

Cell updated

success
boolean
cell
object

A single cell at the intersection of a column and a row.

version
integer

Current sheet version_count for this response. It matches the sheet's version_count after any committed changes.

stale_count
integer

Number of downstream cells marked stale due to this edit.